| LPCOpen Platform v1.03 LPCOpen Platform for NXP LPC Microcontrollers

- Main Page
- Modules
- Data Structures
- Files
- Related Pages

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
Data Structures | Enumerations | Functions
CHIP: LPC13xx FLASH Memory Controller driver
LPC13xx chip specific drivers

## Detailed Description

## Data Structures
struct | LPC_FMC_T
| FLASH Memory Controller Unit register block structure. More...

## Enumerations
enum | FMC_FLASHTIM_T { FLASHTIM_20MHZ_CPU = 0, FLASHTIM_40MHZ_CPU = 1, FLASHTIM_50MHZ_CPU = 2, FLASHTIM_20MHZ_CPU = 0, FLASHTIM_40MHZ_CPU = 1, FLASHTIM_72MHZ_CPU = 2, FLASHTIM_20MHZ_CPU = 0, FLASHTIM_40MHZ_CPU = 1, FLASHTIM_60MHZ_CPU = 2, FLASHTIM_80MHZ_CPU = 3, FLASHTIM_100MHZ_CPU = 4, FLASHTIM_120MHZ_CPU = 4, FLASHTIM_SAFE_SETTING = 5, FLASHTIM_20MHZ_CPU = 0, FLASHTIM_30MHZ_CPU = 1 }
| FLASH Access time definitions. More...

## Functions
STATIC INLINE void | Chip_FMC_SetFLASHAccess (FMC_FLASHTIM_T clks)
| Set FLASH access time in clocks.

## Enumeration Type Documentation

enum FMC_FLASHTIM_T

FLASH Access time definitions.

Enumerator:

  FLASHTIM_20MHZ_CPU | Flash accesses use 1 CPU clocks. Use for up to 20 MHz CPU clock
  FLASHTIM_40MHZ_CPU | Flash accesses use 2 CPU clocks. Use for up to 40 MHz CPU clock
  FLASHTIM_50MHZ_CPU | Flash accesses use 3 CPU clocks. Use for up to 50 MHz CPU clock
  FLASHTIM_20MHZ_CPU | Flash accesses use 1 CPU clocks. Use for up to 20 MHz CPU clock
  FLASHTIM_40MHZ_CPU | Flash accesses use 2 CPU clocks. Use for up to 40 MHz CPU clock
  FLASHTIM_72MHZ_CPU | Flash accesses use 3 CPU clocks. Use for up to 72 MHz CPU clock
  FLASHTIM_20MHZ_CPU | Flash accesses use 1 CPU clocks. Use for up to 20 MHz CPU clock
  FLASHTIM_40MHZ_CPU | Flash accesses use 2 CPU clocks. Use for up to 40 MHz CPU clock
  FLASHTIM_60MHZ_CPU | Flash accesses use 3 CPU clocks. Use for up to 60 MHz CPU clock
  FLASHTIM_80MHZ_CPU | Flash accesses use 4 CPU clocks. Use for up to 80 MHz CPU clock
  FLASHTIM_100MHZ_CPU | Flash accesses use 5 CPU clocks. Use for up to 100 MHz CPU clock
  FLASHTIM_120MHZ_CPU | Flash accesses use 5 CPU clocks. Use for up to 120 Mhz for LPC1759 and LPC1769 only.
  FLASHTIM_SAFE_SETTING | Flash accesses use 6 CPU clocks. Safe setting for any allowed conditions
  FLASHTIM_20MHZ_CPU | Flash accesses use 1 CPU clocks. Use for up to 20 MHz CPU clock
  FLASHTIM_30MHZ_CPU | Flash accesses use 2 CPU clocks. Use for up to 30 MHz CPU clock

Definition at line 65 of file fmc_13xx.h.

## Function Documentation

STATIC INLINE void Chip_FMC_SetFLASHAccess | ( | FMC_FLASHTIM_T | clks | ) |

Set FLASH access time in clocks.

Parameters

  clks | : Clock cycles for FLASH access (minus 1)

Returns
  Nothing

Definition at line 76 of file fmc_13xx.h.